<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Asset</title>
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />

</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Aset</h1>
            <div class="section-header-breadcrumb">
                <div class="breadcrumb-item active"><a href="#">asset</a></div>
                <div class="breadcrumb-item">list</div>
            </div>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
<!--                        <div class="card-body">-->
<!--                            <div class="row">-->
<!--                                <div class="col-md-6">-->
<!--                                    <a th:href="@{/masters/asset}" class="btn btn-primary btn-block">Data Barang</a>-->
<!--                                </div>-->
<!--                                <div class="col-md-6">-->
<!--                                    <a th:href="@{/masters/car/list}" class="btn btn-secondary btn-block">Data Mobil</a>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
                        <div class="card-body">
                            <div class="card">
                                <div class="card-header">
                                    <h4>Asset</h4>
                                    <div class="card-header-action">
                                        <a th:href="@{/masters/asset/form}"  class="btn btn-info">
                                            <i class="fa fa-plus-circle"></i> New Data
                                        </a>
                                    </div>
                                </div>
                                <div class="card-body">
<!--                                    <form th:action="@{/asset/updateBarcode}" method="post">-->
<!--                                        <button type="submit" class="btn btn-danger">Update Barcode</button>-->
<!--                                    </form>-->

                                    <div class="row">
                                        <div class="col-md-9">
                                        </div>
                                        <div class="col-md-3">
                                            <form method="get">
                                                <div class="form-group">
                                                    <div class="input-group">
                                                        <input type="text" class="form-control" name="search" th:value="${search}" placeholder="Search ...">
                                                        <div class="input-group-append">
                                                            <button class="btn btn-sm btn-primary" type="submit">Search</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <form method="get">
                                                <div class="form-group">
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <label>Ruangan</label>
                                                            <select name="ruangan" required class="form-control select2">
                                                                <option selected disabled>-- Cari berdasarkan ruangan --</option>
                                                                <option th:each="data, row:${roomList}"
                                                                        th:text="${data.namaRuangan + ' (Gedung : ' + data.idGedung.namaGedung + ')'}"
                                                                        th:value="${data.id}"></option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <div class="row">
                                                        <div class="col-md-12 text-center">
                                                            <button class="btn btn-info" type="submit">Search</button>
                                                        </div>
                                                    </div>
                                                </div>


                                            </form>
                                        </div>

                                    </div>

                                    <br>
                                    <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success != null}">
                                        <strong>Save</strong> data successful...
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="alert alert-danger alert-dismissible fade show" role="alert" th:if="${gagal != null}">
                                        <strong>Gagal !!</strong> Ruangan tidak terisi.....
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${oke != null}">
                                        <strong>Data berhasil diubah</strong>
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="alert alert-danger alert-dismissible fade show" role="alert" th:if="${delete != null}">
                                        <strong>Delete</strong> data successful...
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <br>
                                    <a th:if="${ruangan != null}" th:href="@{/masters/asset/listBarcode(ruangan = ${ruangan.getId()})}" class="btn btn-warning btn-sm">Cetak Barcode (<span th:text="${ruangan.namaRuangan}"></span>)</a>
                                    <br>
                                    <br>
                                    <div class="card">
                                        <div class="card-header">
                                            <h4>Data</h4>
                                            <div class="card-header-action">
                                                <a style="margin-left: 5px; margin-right: 5px;" th:href="@{/report/download}" class="btn btn-dark">Download Seluruh Data Aset</a>
                                                <a style="margin-left: 5px; margin-right: 5px;" th:href="@{/report/perkategori}" class="btn btn-warning">Download Data Perkategori</a>
                                            </div>
                                        </div>
                                        <div class="card-body">
                                            <div class="table-responsive">
                                                <table class="table table-striped">
                                                    <thead>
                                                    <tr>
                                                        <th> # </th>
                                                        <th> Nama Asset </th>
                                                        <th> Lokasi Asset </th>
                                                        <th> Jumlah </th>
                                                        <th> Tahun Pembelian </th>
                                                        <th> Status </th>
                                                        <th> Detail Asset </th>
                                                        <th> Barcode </th>
                                                        <th> Perawatan </th>
<!--                                                        <th>Status Peminjaman</th>-->
                                                        <th></th>
                                                        <th></th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr th:each="data,row : ${listAsset}">
                                                        <td th:text="${(row.index + 1)}"></td>
                                                        <td>
                                                            <button type="button" class="btn btn-sm btn-outline-dark" data-toggle="modal" th:data-target="${'#edit' + data.id}" th:text="${data.namaAset}">
                                                                Launch demo modal
                                                            </button>

                                                            <div class="modal fade" th:id="${'edit' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                <div class="modal-dialog" role="document">
                                                                    <form th:action="@{/updateHargaAset}" method="post">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h5 class="modal-title" id="exampleModalLabel11">Update</h5>
                                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <div class="form-group">
                                                                                    <label>Update Harga</label>
                                                                                    <input type="number" class="form-control" name="hargaAset" required>
                                                                                </div>
                                                                                <div class="form-group">
                                                                                    <label>Kategori</label>
                                                                                    <select name="kategori" class="form-control" required>
                                                                                        <option value="" selected>-- pilih salah satu --</option>
                                                                                        <option value="Tanah">Tanah</option>
                                                                                        <option value="Bangunan">Bangunan</option>
                                                                                        <option value="RenovasiBangunan">Renovasi Bangunan</option>
                                                                                        <option value="PeralatanKelas">Peralatan Kelas</option>
                                                                                        <option value="PeralatanKantor">Peralatan Kantor</option>
                                                                                        <option value="PeralatanAsrama">Peralatan Asrama</option>
                                                                                        <option value="PeralatanFurnitureKelas">Peralatan Furniture Kelas</option>
                                                                                        <option value="PeralatanFurnitureKantor">Peralatan Furniture Kantor</option>
                                                                                        <option value="KendaraanLeasing">Kendaraan Leasing</option>
                                                                                    </select>
                                                                                    <input type="hidden" name="id" th:value="${data.id}">
                                                                                </div>
                                                                                <div class="form-group">
                                                                                    <label>Tanggal Beli</label>
                                                                                    <input type="date" class="form-control" name="tanggalBeli" required>
                                                                                </div>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                                <button type="submit" class="btn btn-primary">Save changes</button>
                                                                            </div>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td th:text="${data.ruangan.namaRuangan + ' (Gedung : ' + data.ruangan.idGedung.namaGedung + ')'}"></td>
                                                        <td th:text="${data.jumlah}"></td>
                                                        <td th:text="${data.tahunBeli}"></td>
                                                        <td th:if="${data.kondisiAset == 'BAGUS'}"><button class="btn btn-sm btn-outline-success"  th:text="${data.kondisiAset}"></button></td>
                                                        <td th:if="${data.kondisiAset == 'LAYAK'}"><button class="btn btn-sm btn-outline-primary"  th:text="${data.kondisiAset}"></button></td>
                                                        <td th:if="${data.kondisiAset == 'RUSAK_BISA_DIPERBAIKI'}"><button class="btn btn-sm btn-outline-warning"  th:text="${data.kondisiAset}"></button></td>
                                                        <td th:if="${data.kondisiAset == 'RUSAK_TIDAK_BISA_DIPERBAIKI'}"><button class="btn btn-sm btn-outline-danger"  th:text="${data.kondisiAset}"></button></td>
                                                        <td>
                                                            <!-- Button trigger modal -->
                                                            <button type="button" class="btn btn-success btn-sm" data-toggle="modal" th:data-target="${'#detail' + data.id}">
                                                                <i class="fa fa-eye"></i> Detail aset
                                                            </button>

                                                            <!-- Modal -->
                                                            <div class="modal fade" th:id="${'detail' + data.id}" tabindex="-1" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                <div class="modal-dialog" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h5 class="modal-title" id="exampleModalLabel">Detail Asset</h5>
                                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                <span aria-hidden="true">&times;</span>
                                                                            </button>
                                                                        </div>
                                                                        <div class="modal-body">
                                                                            <div class="text-center">
                                                                                <img style="width: 200px; height: 200px; margin: 3px;" class="img-thumbnail" th:src="@{/masters/gambar/{file}(file = ${data.id})}" alt="">
                                                                            </div>
                                                                            <br>
                                                                            <form>
                                                                                <div class="form-group">
                                                                                    <label>Nama</label>
                                                                                    <br>
                                                                                    <b class="text-primary" th:text="${data.namaAset}"></b>
                                                                                </div>
                                                                                <div class="form-group">
                                                                                    <label>Harga</label>
                                                                                    <br>
                                                                                    <b class="text-primary" th:text="${data.hargaPokok}"></b>
                                                                                </div>
                                                                                <div class="form-group">
                                                                                    <div class="row">
                                                                                        <div class="col-md-6">
                                                                                            <label>Kategori</label>
                                                                                            <br>
                                                                                            <b class="text-primary" th:text="${data.asetJenis.jenisAset}"></b>
                                                                                        </div>
                                                                                        <div class="col-md-6">
                                                                                            <label>Merek</label>
                                                                                            <br>
                                                                                            <b class="text-primary" th:text="${data.merek}"></b>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group">
                                                                                    <label>Lokasi Asset</label>
                                                                                    <br>
                                                                                    <b class="text-primary" th:text="${data.ruangan.namaRuangan + ' (Gedung : ' + data.ruangan.idGedung.namaGedung + ')'}"></b>
                                                                                </div>
                                                                                <div class="form-group">
                                                                                    <label>Keterangan</label>
                                                                                    <br>
                                                                                    <b class="text-primary" th:text="${data.keterangan}"></b>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                        <div class="modal-footer">
                                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <!-- Button trigger modal -->
                                                            <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#barcode' + data.id}">
                                                                Barcode
                                                            </button>

                                                            <!-- Modal -->
                                                            <div class="modal fade" th:id="${'barcode' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                <div class="modal-dialog" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h5 class="modal-title" id="exampleModalLabel">Barcode</h5>
                                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                <span aria-hidden="true">&times;</span>
                                                                            </button>
                                                                        </div>
                                                                        <div class="modal-body text-center">
                                                                            <img th:src="@{/masters/aset/{aset}(aset = ${data.id})}" alt="">
                                                                        </div>
                                                                        <div class="modal-footer">
                                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                        </td>
                                                        <td>
                                                            <a th:href="@{/masters/asset/perawatan(aset = ${data.id})}" class="btn btn-warning btn-sm">Perawatan</a>
                                                        </td>
<!--                                                        <td>-->
<!--                                                            <button th:if="${data.statusPeminjaman == 'BISA_DIPINJAM'}" class="btn btn-warning btn-sm">Bisa Dipinjam</button>-->
<!--                                                            <button th:if="${data.statusPeminjaman == 'TIDAK_BISA_DIPINJAM'}" data-toggle="modal" th:data-target="${'#atur' + data.id}" class="btn btn-danger btn-sm">Tidak Bisa Dipinjam</button>-->
<!--                                                            <button th:if="${data.statusPeminjaman == null}" data-toggle="modal" th:data-target="${'#atur' + data.id}" class="btn btn-danger btn-sm">Tidak Bisa Dipinjam</button>-->

<!--                                                            <div class="modal fade" th:id="${'atur' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
<!--                                                                <div class="modal-dialog" role="document">-->
<!--                                                                    <form th:action="@{/asset/aturHarga}" method="post">-->
<!--                                                                        <div class="modal-content">-->
<!--                                                                            <div class="modal-header">-->
<!--                                                                                <h5>Pengaturan</h5>-->
<!--                                                                            </div>-->
<!--                                                                            <div class="modal-body">-->
<!--                                                                                <div class="form-group">-->
<!--                                                                                    <label>Nama Aset</label>-->
<!--                                                                                    <input type="hidden" name="id" th:value="${data.id}">-->
<!--                                                                                    <input type="hidden" name="asetJenis" th:value="${data.asetJenis.id}">-->
<!--                                                                                    <input type="hidden" name="ruangan" th:value="${data.ruangan.id}">-->
<!--                                                                                    <input type="hidden" name="merek" th:value="${data.merek}">-->
<!--                                                                                    <input type="hidden" name="jumlah" th:value="${data.jumlah}">-->
<!--                                                                                    <input type="hidden" name="hargaPokok" th:value="${data.hargaPokok}">-->
<!--                                                                                    <input type="hidden" name="kondisiAset" th:value="${data.kondisiAset}">-->
<!--                                                                                    <input type="hidden" name="status" th:value="${data.status}">-->
<!--                                                                                    <input type="hidden" name="barcode" th:value="${data.barcode}">-->
<!--                                                                                    <input type="hidden" name="tahunBeli" th:value="${data.tahunBeli}">-->
<!--                                                                                    <input type="hidden" name="statusPeminjaman" th:value="${data.statusPeminjaman}">-->
<!--                                                                                    <input type="text" class="form-control" name="namaAset" th:value="${data.namaAset}" readonly>-->
<!--                                                                                </div>-->
<!--                                                                                <div class="form-group">-->
<!--                                                                                    <label>Tarif Peminjaman Aset</label>-->
<!--                                                                                    <input type="text" class="form-control" name="hargaPinjam">-->
<!--                                                                                </div>-->
<!--                                                                            </div>-->
<!--                                                                            <div class="modal-footer">-->
<!--                                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>-->
<!--                                                                                <button type="submit" class="btn btn-primary">Save changes</button>-->
<!--                                                                            </div>-->
<!--                                                                        </div>-->
<!--                                                                    </form>-->
<!--                                                                </div>-->
<!--                                                            </div>-->
<!--                                                        </td>-->

                                                        <td>
                                                            <a th:href="@{/asset/edit(id = ${data.id})}" class="btn btn-dark btn-sm"><i class="fa fa-edit"></i> Edit</a>
<!--                                                            <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data.id}">-->
<!--                                                                <i class="fa fa-trash"></i>-->
<!--                                                            </button>-->

<!--                                                            &lt;!&ndash; Modal &ndash;&gt;-->
<!--                                                            <div class="modal fade" th:id="${'exampleModal' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
<!--                                                                <div class="modal-dialog" role="document">-->
<!--                                                                    <form th:action="@{/asset/delete(aset = ${data.id})}" method="post">-->
<!--                                                                        <div class="modal-content">-->
<!--                                                                            <div class="modal-header">-->
<!--                                                                                <h5 class="modal-title" id="exampleModalLabel">Info</h5>-->
<!--                                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
<!--                                                                                    <span aria-hidden="true">&times;</span>-->
<!--                                                                                </button>-->
<!--                                                                            </div>-->
<!--                                                                            <div class="modal-body">-->
<!--                                                                                Do you want to delete this data ?-->
<!--                                                                            </div>-->
<!--                                                                            <div class="modal-footer">-->
<!--                                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>-->
<!--                                                                                <button type="submit" class="btn btn-primary">Yes</button>-->
<!--                                                                            </div>-->
<!--                                                                        </div>-->
<!--                                                                    </form>-->
<!--                                                                </div>-->
<!--                                                            </div>-->
                                                        </td>
                                                        <td>
                                                            <a th:href="@{/asset/delete(aset = ${data.id})}" onclick="return confirm('Apakah Anda yakin ingin menghapus data ini ?');" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></a>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>

                                            <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                                                <nav>
                                                    <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                                                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                                                        <li class="page-item"><a class="page-link" href="#">4</a></li>
                                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                                    </ul>
                                                </nav>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>

</div>
</body>
<script src="http://code.jquery.com/jquery-migrate-1.2.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<script>
    $(function() {
        $('#selectReligion').select2({
            placeholder: 'Select an option'
        });
    });
</script>
</html>